<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@isDisabled}}
  @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  ...attributes
>

  <:edit>
    {{#each this.values as |layer index|}}
      <Input::MapLayer class="mt-4" @value={{layer}} @index={{index}} @len={{this.values.length}}
          @maps={{@maps}}
          @onChangeType={{this.changeLayerType}}
          @onDelete={{this.delete}}
          @onMoveUp={{this.moveUp}}
          @onMoveDown={{this.moveDown}}
          @onChangeOption={{this.changeOption}}
        />
    {{/each}}

    <button class="btn btn-secondary mb-3 mt-3 btn-add-layer" type="button" {{on "click" this.addLayer}} {{did-insert this.copyValues}}>
      <FaIcon @icon="plus" /> {{capitalize (t "layer")}}
    </button>
  </:edit>

  <:view>
    {{#if @values}}
      <ol {{did-insert this.copyValues}}>
        {{#each this.values as |layer index|}}
          {{#if (eq index 0)}}
            <li class="text-primary"><strong>{{layer.type}} ({{t "topmost"}})</strong></li>
          {{else}}
            <li><strong>{{layer.type}}</strong></li>
          {{/if}}
        {{/each}}
      </ol>
    {{else}}
      <div class="alert alert-danger" role="alert">
        {{t "no-layers-set-message"}}
      </div>
    {{/if}}
  </:view>
</Manage::FieldContainer>